org.eclipse.ease.lang.unittest.definition.impl

## Class DefinitionPackage

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.ease.lang.unittest.definition.impl.DefinitionPackage

All Implemented Interfaces:
  IDefinitionPackage, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class DefinitionPackage
    extends org.eclipse.emf.ecore.impl.EPackageImpl
    implements IDefinitionPackage

An implementation of the model Package.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.ease.lang.unittest.definition.IDefinitionPackage

`IDefinitionPackage.Literals`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from interface org.eclipse.ease.lang.unittest.definition.IDefinitionPackage

`CODE, CODE__CONTENT, CODE__LOCATION, CODE_FEATURE_COUNT, CODE_OPERATION_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, FLAG, FLAG_TO_STRING_MAP, FLAG_TO_STRING_MAP__KEY, FLAG_TO_STRING_MAP__VALUE, FLAG_TO_STRING_MAP_FEATURE_COUNT, FLAG_TO_STRING_MAP_OPERATION_COUNT, PATH, TEST_SUITE_DEFINITION, TEST_SUITE_DEFINITION___GET_CUSTOM_CODE__STRING, TEST_SUITE_DEFINITION___GET_VARIABLE__STRING, TEST_SUITE_DEFINITION__CUSTOM_CODE, TEST_SUITE_DEFINITION__DESCRIPTION, TEST_SUITE_DEFINITION__DISABLED_RESOURCES, TEST_SUITE_DEFINITION__EXCLUDE_FILTER, TEST_SUITE_DEFINITION__FLAGS, TEST_SUITE_DEFINITION__INCLUDE_FILTER, TEST_SUITE_DEFINITION__NAME, TEST_SUITE_DEFINITION__RESOURCE, TEST_SUITE_DEFINITION__VARIABLES, TEST_SUITE_DEFINITION__VERSION, TEST_SUITE_DEFINITION_FEATURE_COUNT, TEST_SUITE_DEFINITION_OPERATION_COUNT, VARIABLE, VARIABLE___GET_NAME, VARIABLE___GET_PATH, VARIABLE__CONTENT, VARIABLE__DESCRIPTION, VARIABLE__ENUM_PROVIDER_ID, VARIABLE__FULL_NAME, VARIABLE_FEATURE_COUNT, VARIABLE_OPERATION_COUNT`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EAttribute` `getCode_Content()`
`org.eclipse.emf.ecore.EAttribute` `getCode_Location()`
`org.eclipse.emf.ecore.EClass` `getCode()`
`IDefinitionFactory` `getDefinitionFactory()`
`org.eclipse.emf.ecore.EEnum` `getFlag()`
`org.eclipse.emf.ecore.EAttribute` `getFlagToStringMap_Key()`
`org.eclipse.emf.ecore.EAttribute` `getFlagToStringMap_Value()`
`org.eclipse.emf.ecore.EClass` `getFlagToStringMap()`
`org.eclipse.emf.ecore.EDataType` `getPath()`
`org.eclipse.emf.ecore.EOperation` `getTestSuiteDefinition__GetCustomCode__String()`
`org.eclipse.emf.ecore.EOperation` `getTestSuiteDefinition__GetVariable__String()`
`org.eclipse.emf.ecore.EReference` `getTestSuiteDefinition_CustomCode()`
`org.eclipse.emf.ecore.EAttribute` `getTestSuiteDefinition_Description()`
`org.eclipse.emf.ecore.EAttribute` `getTestSuiteDefinition_DisabledResources()`
`org.eclipse.emf.ecore.EAttribute` `getTestSuiteDefinition_ExcludeFilter()`
`org.eclipse.emf.ecore.EReference` `getTestSuiteDefinition_Flags()`
`org.eclipse.emf.ecore.EAttribute` `getTestSuiteDefinition_IncludeFilter()`
`org.eclipse.emf.ecore.EAttribute` `getTestSuiteDefinition_Name()`
`org.eclipse.emf.ecore.EAttribute` `getTestSuiteDefinition_Resource()`
`org.eclipse.emf.ecore.EReference` `getTestSuiteDefinition_Variables()`
`org.eclipse.emf.ecore.EAttribute` `getTestSuiteDefinition_Version()`
`org.eclipse.emf.ecore.EClass` `getTestSuiteDefinition()`
`org.eclipse.emf.ecore.EOperation` `getVariable__GetName()`
`org.eclipse.emf.ecore.EOperation` `getVariable__GetPath()`
`org.eclipse.emf.ecore.EAttribute` `getVariable_Content()`
`org.eclipse.emf.ecore.EAttribute` `getVariable_Description()`
`org.eclipse.emf.ecore.EAttribute` `getVariable_EnumProviderID()`
`org.eclipse.emf.ecore.EAttribute` `getVariable_FullName()`
`org.eclipse.emf.ecore.EClass` `getVariable()`
`static IDefinitionPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Method Detail

#### init

    public static IDefinitionPackage init()

Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `IDefinitionPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  `IDefinitionPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

#### getTestSuiteDefinition

    public org.eclipse.emf.ecore.EClass getTestSuiteDefinition()

Specified by:
  `getTestSuiteDefinition` in interface `IDefinitionPackage`
Returns:
  the meta object for class 'Test Suite Definition'.
See Also:
  `ITestSuiteDefinition`

#### getTestSuiteDefinition_Name

    public org.eclipse.emf.ecore.EAttribute getTestSuiteDefinition_Name()

Specified by:
  `getTestSuiteDefinition_Name` in interface `IDefinitionPackage`
Returns:
  the meta object for the attribute 'Name'.
See Also:
  `ITestSuiteDefinition.getName()`, `IDefinitionPackage.getTestSuiteDefinition()`

#### getTestSuiteDefinition_Description

    public org.eclipse.emf.ecore.EAttribute getTestSuiteDefinition_Description()

Specified by:
  `getTestSuiteDefinition_Description` in interface `IDefinitionPackage`
Returns:
  the meta object for the attribute 'Description'.
See Also:
  `ITestSuiteDefinition.getDescription()`, `IDefinitionPackage.getTestSuiteDefinition()`

#### getTestSuiteDefinition_IncludeFilter

    public org.eclipse.emf.ecore.EAttribute getTestSuiteDefinition_IncludeFilter()

Specified by:
  `getTestSuiteDefinition_IncludeFilter` in interface `IDefinitionPackage`
Returns:
  the meta object for the attribute 'Include Filter'.
See Also:
  `ITestSuiteDefinition.getIncludeFilter()`, `IDefinitionPackage.getTestSuiteDefinition()`

#### getTestSuiteDefinition_ExcludeFilter

    public org.eclipse.emf.ecore.EAttribute getTestSuiteDefinition_ExcludeFilter()

Specified by:
  `getTestSuiteDefinition_ExcludeFilter` in interface `IDefinitionPackage`
Returns:
  the meta object for the attribute 'Exclude Filter'.
See Also:
  `ITestSuiteDefinition.getExcludeFilter()`, `IDefinitionPackage.getTestSuiteDefinition()`

#### getTestSuiteDefinition_DisabledResources

    public org.eclipse.emf.ecore.EAttribute getTestSuiteDefinition_DisabledResources()

Specified by:
  `getTestSuiteDefinition_DisabledResources` in interface `IDefinitionPackage`
Returns:
  the meta object for the attribute list 'Disabled Resources'.
See Also:
  `ITestSuiteDefinition.getDisabledResources()`, `IDefinitionPackage.getTestSuiteDefinition()`

#### getTestSuiteDefinition_Variables

    public org.eclipse.emf.ecore.EReference getTestSuiteDefinition_Variables()

Specified by:
  `getTestSuiteDefinition_Variables` in interface `IDefinitionPackage`
Returns:
  the meta object for the containment reference list 'Variables'.
See Also:
  `ITestSuiteDefinition.getVariables()`, `IDefinitionPackage.getTestSuiteDefinition()`

#### getTestSuiteDefinition_CustomCode

    public org.eclipse.emf.ecore.EReference getTestSuiteDefinition_CustomCode()

Specified by:
  `getTestSuiteDefinition_CustomCode` in interface `IDefinitionPackage`
Returns:
  the meta object for the containment reference list 'Custom Code'.
See Also:
  `ITestSuiteDefinition.getCustomCode()`, `IDefinitionPackage.getTestSuiteDefinition()`

#### getTestSuiteDefinition_Flags

    public org.eclipse.emf.ecore.EReference getTestSuiteDefinition_Flags()

Specified by:
  `getTestSuiteDefinition_Flags` in interface `IDefinitionPackage`
Returns:
  the meta object for the map 'Flags'.
See Also:
  `ITestSuiteDefinition.getFlags()`, `IDefinitionPackage.getTestSuiteDefinition()`

#### getTestSuiteDefinition_Version

    public org.eclipse.emf.ecore.EAttribute getTestSuiteDefinition_Version()

Specified by:
  `getTestSuiteDefinition_Version` in interface `IDefinitionPackage`
Returns:
  the meta object for the attribute 'Version'.
See Also:
  `ITestSuiteDefinition.getVersion()`, `IDefinitionPackage.getTestSuiteDefinition()`

#### getTestSuiteDefinition_Resource

    public org.eclipse.emf.ecore.EAttribute getTestSuiteDefinition_Resource()

Specified by:
  `getTestSuiteDefinition_Resource` in interface `IDefinitionPackage`
Returns:
  the meta object for the attribute 'Resource'.
See Also:
  `ITestSuiteDefinition.getResource()`, `IDefinitionPackage.getTestSuiteDefinition()`

#### getTestSuiteDefinition__GetCustomCode__String

    public org.eclipse.emf.ecore.EOperation getTestSuiteDefinition__GetCustomCode__String()

Specified by:
  `getTestSuiteDefinition__GetCustomCode__String` in interface `IDefinitionPackage`
Returns:
  the meta object for the 'Get Custom Code' operation.
See Also:
  `ITestSuiteDefinition.getCustomCode(java.lang.String)`

#### getTestSuiteDefinition__GetVariable__String

    public org.eclipse.emf.ecore.EOperation getTestSuiteDefinition__GetVariable__String()

Specified by:
  `getTestSuiteDefinition__GetVariable__String` in interface `IDefinitionPackage`
Returns:
  the meta object for the 'Get Variable' operation.
See Also:
  `ITestSuiteDefinition.getVariable(java.lang.String)`

#### getVariable

    public org.eclipse.emf.ecore.EClass getVariable()

Specified by:
  `getVariable` in interface `IDefinitionPackage`
Returns:
  the meta object for class 'Variable'.
See Also:
  `IVariable`

#### getVariable_FullName

    public org.eclipse.emf.ecore.EAttribute getVariable_FullName()

Specified by:
  `getVariable_FullName` in interface `IDefinitionPackage`
Returns:
  the meta object for the attribute 'Full Name'.
See Also:
  `IVariable.getFullName()`, `IDefinitionPackage.getVariable()`

#### getVariable_Content

    public org.eclipse.emf.ecore.EAttribute getVariable_Content()

Specified by:
  `getVariable_Content` in interface `IDefinitionPackage`
Returns:
  the meta object for the attribute 'Content'.
See Also:
  `IVariable.getContent()`, `IDefinitionPackage.getVariable()`

#### getVariable_Description

    public org.eclipse.emf.ecore.EAttribute getVariable_Description()

Specified by:
  `getVariable_Description` in interface `IDefinitionPackage`
Returns:
  the meta object for the attribute 'Description'.
See Also:
  `IVariable.getDescription()`, `IDefinitionPackage.getVariable()`

#### getVariable_EnumProviderID

    public org.eclipse.emf.ecore.EAttribute getVariable_EnumProviderID()

Specified by:
  `getVariable_EnumProviderID` in interface `IDefinitionPackage`
Returns:
  the meta object for the attribute 'Enum Provider ID'.
See Also:
  `IVariable.getEnumProviderID()`, `IDefinitionPackage.getVariable()`

#### getVariable__GetName

    public org.eclipse.emf.ecore.EOperation getVariable__GetName()

Specified by:
  `getVariable__GetName` in interface `IDefinitionPackage`
Returns:
  the meta object for the 'Get Name' operation.
See Also:
  `IVariable.getName()`

#### getVariable__GetPath

    public org.eclipse.emf.ecore.EOperation getVariable__GetPath()

Specified by:
  `getVariable__GetPath` in interface `IDefinitionPackage`
Returns:
  the meta object for the 'Get Path' operation.
See Also:
  `IVariable.getPath()`

#### getFlagToStringMap

    public org.eclipse.emf.ecore.EClass getFlagToStringMap()

Specified by:
  `getFlagToStringMap` in interface `IDefinitionPackage`
Returns:
  the meta object for class 'Flag To String Map'.
See Also:
  `Map.Entry`

#### getFlagToStringMap_Key

    public org.eclipse.emf.ecore.EAttribute getFlagToStringMap_Key()

Specified by:
  `getFlagToStringMap_Key` in interface `IDefinitionPackage`
Returns:
  the meta object for the attribute 'Key'.
See Also:
  `Map.Entry`, `IDefinitionPackage.getFlagToStringMap()`

#### getFlagToStringMap_Value

    public org.eclipse.emf.ecore.EAttribute getFlagToStringMap_Value()

Specified by:
  `getFlagToStringMap_Value` in interface `IDefinitionPackage`
Returns:
  the meta object for the attribute 'Value'.
See Also:
  `Map.Entry`, `IDefinitionPackage.getFlagToStringMap()`

#### getCode

    public org.eclipse.emf.ecore.EClass getCode()

Specified by:
  `getCode` in interface `IDefinitionPackage`
Returns:
  the meta object for class 'Code'.
See Also:
  `ICode`

#### getCode_Location

    public org.eclipse.emf.ecore.EAttribute getCode_Location()

Specified by:
  `getCode_Location` in interface `IDefinitionPackage`
Returns:
  the meta object for the attribute 'Location'.
See Also:
  `ICode.getLocation()`, `IDefinitionPackage.getCode()`

#### getCode_Content

    public org.eclipse.emf.ecore.EAttribute getCode_Content()

Specified by:
  `getCode_Content` in interface `IDefinitionPackage`
Returns:
  the meta object for the attribute 'Content'.
See Also:
  `ICode.getContent()`, `IDefinitionPackage.getCode()`

#### getFlag

    public org.eclipse.emf.ecore.EEnum getFlag()

Specified by:
  `getFlag` in interface `IDefinitionPackage`
Returns:
  the meta object for enum 'Flag'.
See Also:
  `Flag`

#### getPath

    public org.eclipse.emf.ecore.EDataType getPath()

Specified by:
  `getPath` in interface `IDefinitionPackage`
Returns:
  the meta object for data type 'Path'.
See Also:
  `IPath`

#### getDefinitionFactory

    public IDefinitionFactory getDefinitionFactory()

Specified by:
  `getDefinitionFactory` in interface `IDefinitionPackage`
Returns:
  the factory that creates the instances of the model.

#### createPackageContents

    public void createPackageContents()

Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

#### initializePackageContents

    public void initializePackageContents()

Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.